/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

/**************************************************************************************
<B>ColoredWord</B> est une classe conteneur pour un mot colori.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD
***************************************************************************************/

public class ColoredWord extends StandardWord
{
    /**
       Champ de stockage de la couleur du  mot.                              
    */
    protected String theColor = "";
    
    /**
       Dfini un mot colori.
       
       @param word le texte du mot.
       
       @param color la couleur du mot au format hxadcimal (exemple #ffffff pour la couleur blanche).                         
    */
    public ColoredWord(String word, String color)
    {
	super(word);
	theColor = color;
    }

    /**
       Retourne la reprsentation du mot colori sous forme d'une chaine de caractres.
       
       @returns la reprsentation du mot standard.                         
    */
    public String toString()
    {
	return theColor + " " + theWord;
    }

    /**
       Retourne la reprsentation du mot colori sous forme d'une chaine de caractres au format Html pour la prvisualisation interne.
       
       @returns la reprsentation Html pour la prvisualisation du mot colori.                         
    */
    public String toHtmlPreview()
    {
	return "<font color=\"" + theColor + "\">" + theWord + "</font>";
    }

    /**
       Retourne la reprsentation du mot colori sous forme d'une chaine de caractres au format Html.
       
       @returns la reprsentation Html du mot colori.                         
    */
    public String toHtml()
    {
	return "<font style=\"background-color: " + theColor + "\">" + theWord + "</font>";
    }

    /**
       Retourne la reprsentation du mot colori sous forme d'une chaine de caractres au format Xml.
       
       @returns la reprsentation Xml du mot colori.                         
    */
    public String toXml()
    {
	return "<ColoredWord Color=\"" + theColor + "\">" + theWord + "</ColoredWord>";
    }
}
