/*
  Termin
*/

/******************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML.
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
*******************************************************/
 
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/****************************************************************************************
<b>ConfigOptionsDialog</b> est une bote de dialogue servant  configurer les
options d'accs  la base de donnes de mots associs  leurs formes lmmatises.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

*****************************************************************************************/

public class ConfigOptionsDialog extends JDialog
{
    private ThemeEditorVars themeEditorV = null;
    private JCheckBox useDatabaseCB = null;
    private JPanel jPanel1 = null;
    private JLabel mysqlServerAddressL = null;
    private JTextField mysqlServerAddressTF = null;
    private JLabel mysqlServerPortL = null;
    private JTextField mysqlServerPortTF = null;
    private JLabel databaseNameL = null;
    private JTextField databaseNameTF = null;
    private JLabel userNameL = null;
    private JTextField userNameTF = null;
    private JLabel userPasswordL = null;
    private JPasswordField userPasswordTF = null;
    private JPanel buttonsPanel = null;
    private JButton okButton = null;
    private JButton cancelButton = null;
	
    
    /** 
	Cr une nouvelle bote de dialogue servant  configurer les options d'accs  la base de donnes de mots associs  leurs formes lmmatises.
	
	@param parent la fentre parente.
	@param modal boolean indiquant si la fentre doit tre modale.
	@param tev varaiables partages de ThemeEditor.
    */
    public ConfigOptionsDialog(JFrame parent, boolean modal, ThemeEditorVars tev)
    {
	super(parent, "Configuration des options",  modal);
	themeEditorV = tev;
	initComponents();
	pack();
	setLocationRelativeTo(parent);
	show();
    }

  /** 
      Initialisation des diffrents composants prsents dans la bote de dialogue.
  */
  private void initComponents () 
    {
	useDatabaseCB = new JCheckBox("Utiliser la connexion  la base de donnes ?");
	
	useDatabaseCB.setSelected(themeEditorV.getUseDatabase());
	useDatabaseCB.addItemListener(new CheckBoxListener());
	jPanel1 = new JPanel();
	mysqlServerAddressL = new JLabel("Adresse du serveur de donnes : ");
	mysqlServerAddressTF = new JTextField(themeEditorV.getMysqlServerAddress(), 10);
	mysqlServerAddressTF.setEnabled(useDatabaseCB.isSelected());
	mysqlServerPortL = new JLabel("Numro de port du serveur de donnes : ");
	mysqlServerPortTF = new JTextField(themeEditorV.getMysqlServerPort(), 10);
	mysqlServerPortTF.setEnabled(useDatabaseCB.isSelected());
	databaseNameL = new JLabel("Nom de la base de donnes : ");
	databaseNameTF = new JTextField(themeEditorV.getDatabaseName(), 10);
	databaseNameTF.setEnabled(useDatabaseCB.isSelected());
	userNameL = new JLabel("Nom de l'utilisateur : ");
	userNameTF = new JTextField(themeEditorV.getUserName(), 10);
	userNameTF.setEnabled(useDatabaseCB.isSelected());
	userPasswordL = new JLabel("Mot de passe de l'utilisateur : ");
	userPasswordTF = new JPasswordField(themeEditorV.getUserPassword(), 10);
	userPasswordTF.setEchoChar('*');
	userPasswordTF.setEnabled(useDatabaseCB.isSelected());
	buttonsPanel = new JPanel();
	okButton = new JButton("Ok");
	okButton.addActionListener(new OkAction(this));
	cancelButton = new JButton("Annuler");
	cancelButton.addActionListener(new CancelAction(this));
	addWindowListener (new java.awt.event.WindowAdapter() {
		public void windowClosing (java.awt.event.WindowEvent evt)
		{
		    closeDialog (evt);
		}
	    }
			   );

	
	getContentPane().add(useDatabaseCB, BorderLayout.NORTH);
	
	jPanel1.setLayout(new GridLayout(5, 2, 5, 5));
	jPanel1.add(mysqlServerAddressL);
	jPanel1.add(mysqlServerAddressTF);
	jPanel1.add(mysqlServerPortL);
	jPanel1.add(mysqlServerPortTF);
	jPanel1.add(databaseNameL);
	jPanel1.add(databaseNameTF);
	jPanel1.add(userNameL);
	jPanel1.add(userNameTF);
	jPanel1.add(userPasswordL);
	jPanel1.add(userPasswordTF);
	getContentPane ().add (jPanel1, BorderLayout.CENTER);
	
	buttonsPanel.add (okButton);
	buttonsPanel.add (cancelButton);
	getContentPane ().add (buttonsPanel, BorderLayout.SOUTH);
    }

  /** 
      Ferme la bote de dialogue.
  */
  private void closeDialog(WindowEvent evt) 
    {
	setVisible (false);
	dispose ();
    }

    /** 
	Classe interne servant  grer les vnements lis aux bote  cocher de la bote de dialogue. 
     */
    class CheckBoxListener implements ItemListener
    {
        public void itemStateChanged(ItemEvent e)
	{
	    mysqlServerAddressTF.setEnabled(useDatabaseCB.isSelected());
	    mysqlServerPortTF.setEnabled(useDatabaseCB.isSelected());
	    databaseNameTF.setEnabled(useDatabaseCB.isSelected());
	    userNameTF.setEnabled(useDatabaseCB.isSelected());
	    userPasswordTF.setEnabled(useDatabaseCB.isSelected());
	}
    }

    /**
       Classe interne grant la fermeture de la boite de dialogue de configuration.<br><br>
       <br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
       <br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>
    */
    protected class OkAction implements ActionListener
    {
        ConfigOptionsDialog dialog;

	/**
	   Dfini un ActionListener permettant de traiter les clicks sur le bouton Ok de la fenetre de configuration.

	   @param f Fenetre de configuration.
	*/
        public OkAction(ConfigOptionsDialog f)
	{
            dialog = f;
        }
        /**
	   Mthode invoque lorsque le bouton Ok de la fenetre de configuration est cliqu.
	*/
        public void actionPerformed(ActionEvent e)
	{
	    themeEditorV.setUseDatabase(useDatabaseCB.isSelected());
	    themeEditorV.setMysqlServerAddress(mysqlServerAddressTF.getText());
	    themeEditorV.setMysqlServerPort(mysqlServerPortTF.getText());
	    themeEditorV.setDatabaseName(databaseNameTF.getText());
	    themeEditorV.setUserName(userNameTF.getText());
	    themeEditorV.setUserPassword(new String(userPasswordTF.getPassword()));
            dialog.dispose();
        }
    }

    /**
       Classe interne grant la fermeture de la boite de dialogue de configuration.<br><br>
       <br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
       <br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>
    */
    protected class CancelAction implements ActionListener
    {
        ConfigOptionsDialog dialog;

	/**
	   Dfini un ActionListener permettant de traiter les clicks sur le bouton Annuler de la fenetre de configuration.

	   @param f Fenetre de configuration.
	*/
        public CancelAction(ConfigOptionsDialog f)
	{
            dialog = f;
        }
        /**
	   Mthode invoque lorsque le bouton Annuler de la fenetre de configuration est cliqu.
	*/
        public void actionPerformed(ActionEvent e)
	{
            dialog.dispose();
        }
    }

}
