/*
  Termin
*/

/******************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML.
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
*******************************************************/

import org.gjt.mm.mysql.*;
import org.gjt.mm.mysql.Connection;
import org.gjt.mm.mysql.Statement;
import org.gjt.mm.mysql.Driver;
import org.gjt.mm.mysql.ResultSet;
import java.sql.*;
import java.util.*;

/*****************************************************************************
<b>ConnectDico</b> est une classe d'interrogation de la base de donnes de
mots associs  leurs formes lmmatises.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

******************************************************************************/

public class ConnectDico 
{
    
    private String mysqlServerAddress = ""; 
    
    // adresse du serveur mysql (nom ou adresse IP) doit etre de la forme obelix.etu.info.unicaen.fr ou 255.9.52.1
    
    private String mysqlServerPort = ""; 
    // numero de port sur lequel fonctionne le serveur mysql (consulter la documentation de mysql pour connaitre le port sur lequel le serveur de mysql fonctionne ou bien votre administrateur systeme)
    
    private String databaseName = ""; // nom de la base contenant les tables sur lesquelles nous allons effectuer des requetes
    private String userName = ""; // nom de l'utilisateur
    private String userPassword = ""; // mot de passe de l'utilisateur pour accder  la base

    private String url = ""; // url d'acces  la base de donnes
    
    private Connection con; // rajouter commentaire
    private Statement stmt; // rajouter commentaire
		   
    private List wordsList = null;
    
    /**
      Cette mthode fournit la forme lmmatise d'un mot.

      @param word un mot.
      @return la forme lmmatise du mot pass en paramtre.
    */
    public String getLemmatizedForm(String word)
    {
	String resultTemp = "";
	try 
	    {
		
		// Etablissement de la connexion avec la base de donnes
		con = (Connection) DriverManager.getConnection(url, userName, userPassword);
		// Creation d'un objet stmt de la classe Statement
		stmt = (Statement) con.createStatement();

		// cration de la requete
		String queryString = "SELECT D.Lexie FROM dico as D where D.Word='" + word + "'";
		// excution de la requete
		ResultSet rs = (ResultSet) stmt.executeQuery(queryString);
		// rcupration du rsultat de la requete
		rs.next();
		resultTemp= rs.getString("Lexie");
		if (resultTemp.equals("="))
		    resultTemp = word;
		// Destruction de l'objet stmt
		stmt.close();
		// Fermeture de la connexion  la base de donnes
		con.close();
	    } 
	catch(SQLException ex) 
	    {
		System.err.println("==> SQLException: ");
		while (ex != null) 
		    {
			System.out.println("Message : " + ex.getMessage ());
			System.out.println("Etat SQL : " + ex.getSQLState ());
			System.out.println("Code d'erreur : " + ex.getErrorCode ());
			ex = ex.getNextException();
			System.out.println("");
		    }
	    }
	finally
	    {
		return resultTemp;
	    }
    }

    /**
      Cette mthode retourne tous les mots possdant la forme lmmatise passe en paramtre.

      @param lemmatizedForm une forme lmmatise.
      @return une liste de mots.
    */
    public List getWordsFromLemmatizedForm(String lemmatizedForm)
    {
	try 
	    {
		
		// Etablissement de la connexion avec la base de donnes
		con = (Connection) DriverManager.getConnection(url, userName, userPassword);
		// Creation d'un objet stmt de la classe Statement
		stmt = (Statement) con.createStatement();
		
		// cration de la requete
		String queryString = "SELECT D.Word FROM dico as D where D.Lexie='" + lemmatizedForm + "'";
		// excution de la requete
		ResultSet rs = (ResultSet) stmt.executeQuery(queryString);
		// rcupration du rsultat de la requete
		wordsList.clear();
		while (rs.next())
		    {
			wordsList.add(rs.getString("Word"));
		    }
		// Destruction de l'objet stmt
		stmt.close();
		// Fermeture de la connexion  la base de donnes
		con.close();
	    } 
	catch(SQLException ex) 
	    {
		System.err.println("==> SQLException: ");
		while (ex != null) 
		    {
			System.out.println("Message : " + ex.getMessage ());
			System.out.println("Etat SQL : " + ex.getSQLState ());
			System.out.println("Code d'erreur : " + ex.getErrorCode ());
			ex = ex.getNextException();
			System.out.println("");
		    }
	    }
	finally
	    {
		return wordsList;
	    }
    }

    /**
      Cette mthode retorune toutes les formes drives d'un mot.
      
      @param le mot.
      @return une liste de mots.
    */
    public List getWordsFromWord(String word)
    {
	return getWordsFromLemmatizedForm(getLemmatizedForm(word));
    }

    /**
      Dfini une classe d'interrogation de la base de donnes de mots associs  leurs formes lmmatises.
      
      @param mSA adresse du serveur mysql (nom ou adresse IP) doit etre de la forme obelix.etu.info.unicaen.fr ou 255.9.52.1.
      @param mSP numero de port sur lequel fonctionne le serveur mysql (consulter la documentation de mysql pour connaitre le port sur lequel le serveur de mysql fonctionne ou bien votre administrateur systeme).
      @param dN nom de la base contenant les tables sur lesquelles nous allons effectuer des requetes.
      @param uN nom de l'utilisateur de la base.
      @param uP mot de passe de l'utilisateur pour accder  la base.
    */
    public ConnectDico(String mSA,String mSP, String dN, String uN, String uP)
    {
	wordsList = new ArrayList();
	mysqlServerAddress = new String(mSA);
	mysqlServerPort = new String(mSP);
	databaseName = new String(dN);
	userName = new String(uN);
	userPassword = new String(uP);
	// Syntaxe: jdbc:mysql://mysqlServerAddress:mysqlServerPort/databasename
	url = new String("jdbc:mysql://" + mysqlServerAddress + ":" + mysqlServerPort + "/" + databaseName);
	
	// nous activons le driver jdbc pour mysql
	try 
	    {
		Class.forName("org.gjt.mm.mysql.Driver");
	    } 
	catch(java.lang.ClassNotFoundException e) 
	    {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	    }
    }

}
