/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

/**************************************************************************************
<B>EmptyWord</B> est une classe conteneur pour un mot vide.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD
***************************************************************************************/

public class EmptyWord extends StandardWord
{
     /**
       Dfini un mot vide.
       
       @param word le texte du mot.                         
    */
    public EmptyWord(String word)
    {
	super(word);
    }

    /**
       Retourne la reprsentation du mot vide sous forme d'une chaine de caractres.
       
       @returns la reprsentation du mot vide.                         
    */
    public String toString()
    {
	return theWord;
    }

    /**
       Retourne la reprsentation du mot vide sous forme d'une chaine de caractres au format Html pour la prvisualisation interne.
       
       @returns la reprsentation Html pour la prvisualisation du mot vide.                         
    */
    public String toHtmlPreview()
    {
	return "<b>" + theWord + "</b>";
    }

    /**
       Retourne la reprsentation du mot vide sous forme d'une chaine de caractres au format Html.
       
       @returns la reprsentation Html du mot vide.                         
    */
    public String toHtml()
    {
	return "<b>" + theWord + "</b>";
    }

    /**
       Retourne la reprsentation du mot vide sous forme d'une chaine de caractres au format Xml.
       
       @returns la reprsentation Xml du mot vide.                         
    */
    public String toXml()
    {
	return "<EmptyWord>" + theWord + "</EmptyWord>";
    }
}
