/*
  Termin
*/

/******************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML.
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
*******************************************************/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/*****************************************************************************
<B>EmptyWordsDialog</B> permet l'dition des mots vides.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

******************************************************************************/

public class EmptyWordsDialog extends JDialog
{
    protected EmptyWordsPanel ewPanel = null;

    /**
       Dfini une fenetre d''dition des mots vides.

       @param mainFrame Frame principale qui est la fentre parente de la fenetre d'dition des mots vides.
    */
    public EmptyWordsDialog(ThemeEditor mainFrame)
    {
	super(mainFrame, "Edition des mots vides", true);
	// nous interdisons le redimensionnement
	setResizable(false);
        Container contentPane = getContentPane();
	// ajout d'un panel d'dition des mots vides
	ewPanel = new EmptyWordsPanel();
	// ajout d'un panel pour le bouton Ok
        JPanel buttonPanel = new JPanel(new FlowLayout(FlowLayout.CENTER));
        JButton okButton = new JButton("OK");
        okButton.addActionListener(new OkAction(this));
	JButton cancelButton = new JButton("Annuler");
        cancelButton.addActionListener(new CancelAction(this));
        buttonPanel.add(okButton);
	buttonPanel.add(cancelButton);
        contentPane.setLayout(new BorderLayout());
        contentPane.add(buttonPanel, BorderLayout.SOUTH);
        contentPane.add(ewPanel, BorderLayout.CENTER);
        pack();
	// positionnement relatif de la fenetre d'aide par rapport  la fentre principale
        setLocationRelativeTo(mainFrame);
        show();
    }

    /**
       Retourne la taille d'affichage prfre de la fenetre d'A propos.
       
       @return les dimensions de la fenetre d'A propos.   
    */
    public Dimension getPreferredSize()
    {
        return new Dimension(500, 300);
    }
    
    /**
       Retourne la taille minimum possible pour la fenetre d'A propos.
     
       @return les dimensions de la fenetre d'A propos.
    */
    public Dimension getMinimunSize()
    {
        return getPreferredSize();
    } 
    
    /**
       Classe interne grant la fermeture de la boite de dialogue d'A propos.<br><br>
       <br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
       <br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>
    */
    protected class OkAction implements ActionListener
    {
        EmptyWordsDialog dialog;

	/**
	   Dfini un ActionListener permettant de traiter les clicks sur le bouton Ok de la fenetre d'A propos.

	   @param f Fenetre d'A propos.
	*/
        public OkAction(EmptyWordsDialog f)
	{
            dialog = f;
        }
        /**
	   Mthode invoque lorsque le bouton Ok de la fenetre d'A propos est cliqu.
	*/
        public void actionPerformed(ActionEvent e)
	{
	    ewPanel.saveToEmptyFile();
            dialog.dispose();
        }
    }

    /**
       Classe interne grant la fermeture de la boite de dialogue d'A propos.<br><br>
       <br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
       <br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>
    */
    protected class CancelAction implements ActionListener
    {
        EmptyWordsDialog dialog;

	/**
	   Dfini un ActionListener permettant de traiter les clicks sur le bouton Ok de la fenetre d'A propos.

	   @param f Fenetre d'A propos.
	*/
        public CancelAction(EmptyWordsDialog f)
	{
            dialog = f;
        }
        /**
	   Mthode invoque lorsque le bouton Ok de la fenetre d'A propos est cliqu.
	*/
        public void actionPerformed(ActionEvent e)
	{
            dialog.dispose();
        }
    }
}
