/*
Termin
*/

/******************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML.
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
*******************************************************/

import java.io.*;
import java.util.*;

/************************************************************************************************
<b>EmptyWordsMap</b> est une classe conteneur pour un la liste des mots vides utilise 
pour le coloriage de textes et le calcul de frquence.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

*************************************************************************************************/

public class EmptyWordsMap
{
    // table de hachage servant  stocker les mots vides
    private Map map = null;
    
    /**
       Dfini une table de hachage de mots vides.

       @param fileName le nom du fichier contenant la liste des mots vides.
    */
    public EmptyWordsMap(String fileName)
    {
	map = new HashMap();
	// chargement du fichier de mots vides	
	String aWord = "";
	try
	    {
		BufferedReader in = new BufferedReader(new FileReader(fileName));
		while(in.ready())
		    {
			aWord = in.readLine();
			map.put(aWord.toLowerCase(), null);
		    }
		in.close();
	    }
	catch(IOException e)
	    {
		System.err.println("Erreur de lecture du fichier de mots vides : " + e.getLocalizedMessage());
		System.exit(1);
	    }
    }

    /**
       Mthode retournant true si le mot pass en paramtre appartient  la liste des mots vide et false dans le cas contraire.

       @param word le mot dont nous voulons vrifier l'appartenance  la liste des mots vides.

       @return true si le mot appartient  la liste des mots vides et false sinon.
     */
    public boolean containsWord(String word)
    {
	return map.containsKey(word.toLowerCase());
    }
}
