/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/*****************************************************************************************************
<b>FreqJListPanel</b> est un conteneur pour un objet FreqJList entour d'un objet JScrollPane.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

******************************************************************************************************/

public class FreqJListPanel extends JPanel 
{
    /**
       Pointeur sur le FreqJList plac dans le Panel.                              
    */
    private FreqJList freqJList = null;
    private JPopupMenu popup = null;
    public ThemeTree themeTree = null;
    /**
       Dfini un Panel dans lequel est plac un FreqJList entour d'un JScrollPane.
       
       @param emptyWordsFileName nom du fichier de mots vides utiliss pour ne pas inclure les mots vides dans la liste des occurences.
       @param themeTree un objet ThemeTree servant  ajouter des mots du FreqJList dans un ThemeTree.
    */
    public FreqJListPanel(String emptyWordsFileName, ThemeTree themeTree)
    {
	this.themeTree = themeTree;
	setLayout(new BorderLayout());
	// cration du FreqJList
	freqJList = new FreqJList(emptyWordsFileName);
	// cration des barres de dfilement
	JScrollPane listScrollPane = new JScrollPane(freqJList);
	add(listScrollPane, BorderLayout.CENTER);
	setVisible(true);

	// le menu popup
	JMenuItem menuItem = null;
	popup = new JPopupMenu();
	menuItem = new JMenuItem("Ajouter au theme");
	menuItem.addActionListener(new AddWordAction());
	popup.add(menuItem);
	MouseListener popupListener = new PopupListener();
	freqJList.addMouseListener(popupListener);
    }

    /**
       Lance le calcul de frquences sur le ou les fichiers passs en paramtres.
       
       @param fileNames nom du fichier ou des fichiers pour le calcul de frsquence.
                         
    */
    public void setFiles(String[] fileNames)
    {
	freqJList.setFiles(fileNames);
    }

    /**
       Classe interne grant l'ajout d'un mot du FreqJList dans un ThemeTree.
    */
    private class AddWordAction implements ActionListener
    {
	/**
	   Mthode invoque lorsque l'action correspondante est active
	*/
	public void actionPerformed(ActionEvent e)
	{
	    popup.setVisible(false);
	    WordAndFrequency paire = (WordAndFrequency)freqJList.getSelectedValue();
	    themeTree.addWord(paire.getWord());
	}
    }

    /*
      Classe interne grant l'affichage du menu contextuel d'ajout d'un mot.
    */
    class PopupListener extends MouseAdapter
    {
	public void mousePressed(MouseEvent e)
	{
	    maybeShowPopup(e);
	}
	
	public void mouseReleased(MouseEvent e)
	{
	    maybeShowPopup(e);
	}
	
	private void maybeShowPopup(MouseEvent e)
	{
	    if (e.isPopupTrigger())
		{
		    popup.show(e.getComponent(), e.getX(), e.getY());
		}
	}
    }
}
