/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/*********************************************************************
<B>HelpDialog</B> affiche l'aide de l'application.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

**********************************************************************/

public class HelpDialog extends JDialog implements ThemeEditorConstants
{
    /**
       Dfini une fenetre d'affichage de l'aide de l'application.

       @param mainFrame Frame principale qui est la fentre parente de la fenetre d'aide.
    */
    public HelpDialog(ThemeEditor mainFrame)
    {
	super(mainFrame, "Aide de ThemeEditor", true);
        Container contentPane = getContentPane();
	// ajout d'un panel de visualisation html
	HtmlPanel htmlPanel = new HtmlPanel("file:" + System.getProperty("user.dir") + System.getProperty("file.separator") + HELP_PATH + System.getProperty("file.separator") + HELP_INDEX_FILE);
	// ajout d'un panel pour le bouton Ok
	JPanel buttonPanel = new JPanel(new FlowLayout(FlowLayout.CENTER));
	// ajout d'un bouton Ok
        JButton okButton = new JButton("OK");
        okButton.addActionListener(new OkAction(this));
        buttonPanel.add(okButton);
	contentPane.setLayout(new BorderLayout());
        contentPane.add(buttonPanel, BorderLayout.SOUTH);
        contentPane.add(htmlPanel, BorderLayout.CENTER);
	pack();
	// positionnement relatif de la fenetre d'aide par rapport  la fentre principale
        setLocationRelativeTo(mainFrame);
        show();
    }
    
    /**
       Retourne la taille d'affichage prfre de la fenetre d'aide.
       
       @return les dimensions de la fenetre d'aide.    
    */
    public Dimension getPreferredSize()
    {
        return new Dimension(640, 480);
    }
    
    /**
       Retourne la taille minimum possible pour la fenetre d'aide.
     
       @return les dimensions de la fenetre d'aide.
    */
    public Dimension getMinimunSize()
    {
        return getPreferredSize();
    } 
    
    /**
       Classe interne grant la fermeture de la boite de dialogue d'aide.<br><br>
       <br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
       <br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>
    */
    protected class OkAction implements ActionListener
    {
        HelpDialog dialog;

	/**
	   Dfini un ActionListener permettant de traiter les clicks sur le bouton Ok de la fenetre d'aide.

	   @param f Fenetre d'aide.
	*/
        public OkAction(HelpDialog f)
	{
            dialog = f;
        }

	/**
	   Mthode invoque lorsque le bouton Ok de la fenetre d'aide est cliqu.
	*/
        public void actionPerformed(ActionEvent e)
	{
            dialog.dispose();
        }
    }
}
