/*
Termin
*/

/******************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML.
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
*******************************************************/

import java.util.*;
import java.io.*;

/*******************************************************************************************
<b>ListOfFiles</b> est une numration de fichiers permettant de crer des flots sur 
ces fichiers, pour les mettre en squence  l'aide de la classe SequenceInputStream.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

********************************************************************************************/

public class ListOfFiles implements Enumeration
{
    private String[] listOfFiles; // tableau stockant les noms des fichiers
    private int current = 0; // position dans l'numration

    /**
       Dfini une numration de fichiers permettant le squencage de ces fichiers en un flot unique   l'aide de la classe SequenceInputStream.

       @param listOfFiles tableau de chaines de caractres contenant les noms des fichiers.
    */
    public ListOfFiles(String[] listOfFiles) 
    {
	this.listOfFiles = listOfFiles;
    }
    
    /**
       Teste si cette numration de fichiers contient encore des lments.

       @return true si et seulement si cette numration de fichiers contient encore au moins un lment  fournir et false dans le cas contraire.
     */

    public boolean hasMoreElements()
    {
	if (current < listOfFiles.length)
	    return true;
	else
	    return false;
    }

    /**
       Retourne l'lment suivant de l'numration si cette numration possde au moins encore un lment  fournir.

       @return l'lment suivant de cette numration

       @throws NoSuchElementException s'il n'y a plus d'lments disponibles.
     */
    public Object nextElement() 
    {
	InputStream in = null;
	
	if (!hasMoreElements())
	    {
		// si il n'y a plus d'lments dans l'numration nous lanons une exception
		throw new NoSuchElementException("Il n'y a plus de fichier  traiter.");
	    }
	else 
	    {
		String nextElement = listOfFiles[current]; // rcupration du fichier courant
		current++; // dplacement du curseur de positionnement dans l'numration
		try 
		    {
			in = new FileInputStream(nextElement); // cration d'un flot sur le fichier courant
		    } 
		catch (FileNotFoundException e) 
		    {
			// erreur : ouverture du fichier courant impossible
			System.err.println("Ouverture du fichier " + nextElement + " impossible !");
		    }
	    }
	return in; // nous retournons le flot
    }
}
