/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

/**************************************************************************************
<B>StandardWord</B> est une classe conteneur pour un mot standard.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD
***************************************************************************************/

public class StandardWord
{
    /**
       Champ de stockage du mot.
    */
    protected String theWord = ""; 
    
    /**
       Dfini un mot standard.
       
       @param word le texte du mot.                 
    */
    public StandardWord(String word)
    {
	theWord = word;
    }
    
    /**
       Retourne la reprsentation du mot standard sous forme d'une chaine de caractres.
       
       @returns la reprsentation du mot standard.     
    */
    public String toString()
    {
	return theWord;
    }

    /**
       Retourne la reprsentation du mot standard sous forme d'une chaine de caractres au format Html pour la prvisualisation interne.
       
       @returns la reprsentation Html pour la prvisualisation du mot standard.                         
    */
    public String toHtmlPreview()
    {
	return theWord;
    }

    /**
       Retourne la reprsentation du mot standard sous forme d'une chaine de caractres au format Html.
       
       @returns la reprsentation Html du mot standard.                         
    */
    public String toHtml()
    {
	return theWord;
    }

    /**
       Retourne la reprsentation du mot standard sous forme d'une chaine de caractres au format Xml.
       
       @returns la reprsentation Xml du mot standard.                         
    */
    public String toXml()
    {
	if (theWord.equals("<br>"))
	    return "";
	else return "<StandardWord>" + theWord + "</StandardWord>";
    }
}
