/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/***********************************************************************************
<B>ThemeEditorMenuBar</B> est la barre de menu de l'application ThemeEditor.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD
************************************************************************************/

public class ThemeEditorMenuBar extends JMenuBar
{
    /**
       Dfini la barre de menu de l'application ThemeEditor.
       
       @param newAction ActionListener associ  l'item "Nouveau" du menu "Fichier".
       
       @param openAction ActionListener associ  l'item "Ouvrir" du menu "Fichier".
       
       @param saveAction ActionListener associ  l'item "Enregistrer" du menu "Fichier".
       
       @param saveAsAction ActionListener associ  l'item "Enregistrer sous" du menu "Fichier".

       @param closeAction ActionListener associ  l'item "Fermer" du menu "Fichier".
       
       @param quitAction ActionListener associ  l'item "Quitter" du menu "Fichier".
       
       @param emptyWordsAction ActionListener associ  l'item "Mts vides" du menu "Options".
       
       @param configureOptionsAction ActionListener associ  l'item "Configurer" du menu "Options".
       
       @param helpIndexAction ActionListener associ  l'item "Index de l'aide" du menu "?".
       
       @param aboutAction ActionListener associ  l'item "A propos de ThemeEditor" du menu "?".
       
    */
    public ThemeEditorMenuBar(ActionListener newAction, ActionListener openAction, ActionListener saveAction, ActionListener saveAsAction, ActionListener closeAction, ActionListener quitAction, ActionListener emptyWordsAction, ActionListener configureOptionsAction, ActionListener helpIndexAction, ActionListener aboutAction)
    {
	JMenu menu = null;
	JMenuItem menuItem = null;
	
	//**********************************************************************************
	// cration du menu "Fichier"
	//**********************************************************************************
	
	menu = new JMenu("Fichier");
	menu.setMnemonic('f');
	
	// cration de l'entre "Nouveau" du menu "Fichier"
	
	menuItem = new JMenuItem("Nouveau", new ImageIcon("images/new.gif"));
	menuItem.addActionListener(newAction);
	menuItem.setMnemonic('n');
        menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_N, ActionEvent.CTRL_MASK));
	menu.add(menuItem);
	
	// cration de l'entre "Ouvrir" du menu "Fichier"
	
	menuItem = new JMenuItem("Ouvrir", new ImageIcon("images/open.gif"));
	menuItem.addActionListener(openAction);
	menuItem.setMnemonic('o');
        menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_O, ActionEvent.CTRL_MASK));
	menu.add(menuItem);
	
	// cration de l'entre "Enregistrer" du menu "Fichier"
	
	menuItem = new JMenuItem("Enregistrer", new ImageIcon("images/save.gif"));
	menuItem.addActionListener(saveAction);
	menuItem.setMnemonic('e');
        menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_S, ActionEvent.CTRL_MASK));
	menu.add(menuItem);
	
	// cration de l'entre "Enregistrer sous" du menu "Fichier"
	
	menuItem = new JMenuItem("Enregistrer sous");
	menuItem.addActionListener(saveAsAction);
	menuItem.setMnemonic('s');
        menu.add(menuItem);
	
	// cration de l'entre "Fermer" du menu "Fichier"
	
	menuItem = new JMenuItem("Fermer");
	menuItem.addActionListener(closeAction);
	menuItem.setMnemonic('f');
        menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_F, ActionEvent.CTRL_MASK));
	menu.add(menuItem);
	
	menu.addSeparator();
	
	// cration de l'entre "Quitter" du menu "Fichier"
	
	menuItem = new JMenuItem("Quitter");
	menuItem.addActionListener(quitAction);
	menuItem.setMnemonic('q');
        menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_Q, ActionEvent.CTRL_MASK));
	menu.add(menuItem);
	
	add(menu); // ajout du menu "Fichier"  la barre de menu
	
	// fin de cration du menu "Fichier"
	
	//**********************************************************************************
	// cration du menu "Options"
	//**********************************************************************************
	
	menu = new JMenu("Options");
	menu.setMnemonic('o');
	
	// cration de l'entre "Mots vides" du menu "Options"
	
	menuItem = new JMenuItem("Mots vides", new ImageIcon("images/emptywords.gif"));
	menuItem.addActionListener(emptyWordsAction);
	menuItem.setMnemonic('m');
        menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_M, ActionEvent.CTRL_MASK));
	menu.add(menuItem);
	
	menu.addSeparator(); // ajout d'un sparateur dans le menu
	
	// cration de l'entre "Configurer" du menu "Options"
	
	menuItem = new JMenuItem("Configurer", new ImageIcon("images/configureoptions.gif"));
	menuItem.addActionListener(configureOptionsAction);
	menuItem.setMnemonic('c');
        menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_C, ActionEvent.CTRL_MASK));
	menu.add(menuItem);
	
	add(menu); // ajout du menu "Options"  la barre de menu
	
	// fin de cration du menu "Options"
	
	//**********************************************************************************
	// cration du menu "?"
	//**********************************************************************************
	
	menu = new JMenu("?");
	menu.setMnemonic('?');
	
	// cration de l'entre "Index de l'aide" du menu "?"
	
	menuItem = new JMenuItem("Index de l'aide", new ImageIcon("images/helpindex.gif"));
	menuItem.addActionListener(helpIndexAction);
	menuItem.setMnemonic('i');
        menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_F1, 0));
	menu.add(menuItem);

	menu.addSeparator(); // ajout d'un sparateur dans le menu

	// cration de l'entre "A propos de ThemeEditor" du menu "?"

	menuItem = new JMenuItem("A propos de ThemeEditor");
	menuItem.addActionListener(aboutAction);
	menuItem.setMnemonic('a');
	menu.add(menuItem);
	
	add(menu); // ajout du menu "?"  la barre de menu
	
	// fin de cration du menu "?"
    }
}
