/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**************************************************************************************
<B>ThemeEditorToolBar</B> est la barre de boutons de l'application ThemeEditor.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD
***************************************************************************************/

public class ThemeEditorToolBar extends JToolBar
{
    /**
       Dfini la barre de boutons de l'application ThemeEditor.
       
       @param newAction ActionListener correspondant  celui de l'item "Nouveau" du menu "Fichier".
       
       @param openAction ActionListener correspondant  celui de l'item "Ouvrir" du menu "Fichier".
       
       @param saveAction ActionListener correspondant  celui de l'item "Enregistrer" du menu "Fichier".
       
       @param saveAction ActionListener correspondant  celui de l'item "Mots vides" du menu "Options".

       @param saveAction ActionListener correspondant  celui de l'item "Configurer" du menu "Options".

       @param saveAction ActionListener correspondant  celui de l'item "Index de l'aide" du menu "?".
                   
    */
    public ThemeEditorToolBar(ActionListener newAction, ActionListener openAction, ActionListener saveAction, ActionListener emptyWordsAction, ActionListener configureOptionsAction, ActionListener helpIndexAction)
    {
	setFloatable(false); // la barre de boutons est fixe

	JButton button = null;

	//****************************************************
	//separateur
	//****************************************************
        addSeparator();

	//****************************************************
        // bouton Nouveau
	//****************************************************
        button = new JButton(new ImageIcon("images/new.gif"));
        button.setToolTipText("Cre une nouvelle liste de thmes");
        button.addActionListener(newAction);
        add(button);

	//****************************************************
        // bouton Ouvrir
	//****************************************************
        button = new JButton(new ImageIcon("images/open.gif"));
        button.setToolTipText("Ouvre un fichier de thmes");
        button.addActionListener(openAction);
        add(button);

	//****************************************************
        // bouton Enregistrer
	//****************************************************
        button = new JButton(new ImageIcon("images/save.gif"));
        button.setToolTipText("Enregistre la liste des thmes dans un fichier");
        button.addActionListener(saveAction);
        add(button);

	//****************************************************
	//separateur
	//****************************************************
        addSeparator();

	//****************************************************
        // bouton Mots vides
	//****************************************************
        button = new JButton(new ImageIcon("images/emptywords.gif"));
        button.setToolTipText("Permet l'dition des mots vides");
        button.addActionListener(emptyWordsAction);
        add(button);

	//****************************************************
        // bouton Configurer
	//****************************************************
        button = new JButton(new ImageIcon("images/configureoptions.gif"));
        button.setToolTipText("Permet la configuration des options de l'application");
        button.addActionListener(configureOptionsAction);
        add(button);

	//****************************************************
	//separateur
	//****************************************************
        addSeparator();

	//****************************************************
        // bouton Index de l'aide
	//****************************************************
        button = new JButton(new ImageIcon("images/helpindex.gif"));
        button.setToolTipText("Affiche l'index de l'aide de l'application");
        button.addActionListener(helpIndexAction);
        add(button);
    }
}
