/*
  Termin
*/

/******************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML.
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
*******************************************************/

/*****************************************************************************
<b>ThemeEditorVars</b> est un conteneur servant  partager des informations 
entre les diffrentes classes de ThemeEditor.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

******************************************************************************/

public class ThemeEditorVars
{
    // nom du fichier de thmes
    private String themeFileName = "";
    // marqueur indiquant si le fichier de thmes a t modifi
    private boolean themeFileModified = false;

    //*********************************
    // variable pour la base de donnes
    //*********************************
    private boolean useDatabase = false;
    // adresse du serveur mysql (nom ou adresse IP) doit etre de la forme mysql.info.unicaen.fr ou 255.9.52.1
    private String mysqlServerAddress = "";
    // numero de port sur lequel fonctionne le serveur mysql (consulter la documentation de mysql pour connaitre le port sur lequel le serveur de mysql fonctionne ou bien votre administrateur systeme)
    private String mysqlServerPort = "";
    private String databaseName = ""; // nom de la base contenant les tables sur lesquelles nous allons effectuer des requtes
    private String userName = ""; // nom de l'utilisateur
    private String userPassword = ""; // mot de passe de l'utilisateur pour accder  la base
    
    /**
       Dfini un objet ThemeEditorVars
       @param fileName le nom du fichier de thmes.
       @param modified boolen indiquant si le fichier de thmes a t modifi.
       @param useDB boolen indiquant si l'accs  la base de donnes est activ.
       @param mSA adresse du serveur de bases de donnes.
       @param mSP port du serveur de bases de donnes.
       @param dN nom de la base de donnes.
       @param uN nom de l'utilisateur propritaire de la base de donnes.
       @param uP mot de passe de l'utilisateur propritaire de la base de donnes.
    */
    public ThemeEditorVars(String fileName, boolean modified, boolean useDB, String mSA, String mSP, String dN, String uN, String uP)
    {
	themeFileName = fileName.trim();
	themeFileModified = modified;
	useDatabase = useDB;
	mysqlServerAddress = mSA;
	mysqlServerPort = mSP;
	databaseName = dN;
	userName = uN;
	userPassword = uP;
    }
    
    /**
       Mthode retournant true si un fichier de thmes est dfini et false sinon.
    */
    public boolean themeFileNameIsDefined()
    {
	return (!themeFileName.equals(""));
    }
    
    /**
       Mthode permettant de fixer le nom du fichier de thmes.
       @param fileName un fichier de thmes.
    */
    public void setThemeFileName(String fileName)
    {
	themeFileName = fileName.trim();
    }
    
    /**
       Mtode retournant le nom du fichier de thmes.
    */
    public String getThemeFileName()
    {
	return themeFileName;
    }

    /**
       Mthode permettant d'indiquer si le fichier de thmes a t modifi.
    */
    public void setThemeFileIsModified(boolean modified)
    {
	themeFileModified = modified;
    }
    
    /**
       Mthode retournant true si le fichier de thmes a t modifi et false sinon
    */
    public boolean themeFileHasBeenModified()
    {
	return themeFileModified;
    }
    
    /**
       Mthode retournant true si l'accs  la base de donnes est activ et false sinon.
    */
    public boolean getUseDatabase()
    {
	return useDatabase;
    }
    
    /**
       Mthode fixant ou non l'utilisation de l'accs  la base de donnes.
       @param newValue un boolen.
    */
    public void setUseDatabase(boolean newValue)
    {
	useDatabase = newValue;
    }
    
    /**
       Mthode retournant le nom du serveur de bases de donnes.
    */
    public String getMysqlServerAddress()
    {
	return mysqlServerAddress;
    }
    
    /**
       Mthode permettant de fixer le nom du serveur de bases de donnes.
       @param newValue le nom du serveur de bases de donnes.
    */
    public void setMysqlServerAddress(String newValue)
    {
	mysqlServerAddress = newValue;
    }
    
    /**
       Mthode retournant le port du serveur de bases de donnes.
    */
    public String getMysqlServerPort()
    {
	return mysqlServerPort;
    }

    /**
       Mthode permettant de fixer le port du serveur de bases de donnes.
       @param newValue le port du serveur de bases de donnes.
    */
    public void setMysqlServerPort(String newValue)
    {
	mysqlServerPort = newValue;
    }
    
    /**
       Mthode retournant le nom de la base de donnes.
    */
    public String getDatabaseName()
    {
	return databaseName;
    }
    
    /**
       Mthode permettant de fixer le nom de la base de donnes.
       @param newValue le nom de la base de donnes.
    */
    public void setDatabaseName(String newValue)
    {
	databaseName = newValue;
    }
    
    /**
       Mthode retournant le nom de l'utilisateur propritaire de la base de donnes.
    */
    public String getUserName()
    {
	return userName;
    }
    
    /**
       Mthode permettant de fixer le nom de l'utilisateur propritaire de la base de donnes.
       @param newValue le nom de l'utilisateur propritaire de la base de donnes.
    */
    public void setUserName(String newValue)
    {
	userName = newValue;
    }
    
    /**
       Mthode retournant le mot de passe de l'utilisateur propritaire de la base de donnes.
    */
    public String getUserPassword()
    {
	return userPassword;
    }
    
     /**
       Mthode permettant de fixer le mot de passe de l'utilisateur propritaire de la base de donnes.
       @param newValue le mot de passe de l'utilisateur propritaire de la base de donnes.
    */
    public void setUserPassword(String newValue)
    {
	userPassword = newValue;
    }
}
