/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

/**************************************************************************************************
<b>WordAndFrequency</b> est une classe utilitaire servant  stocker un mot et sa frquence.<br><br> 
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

***************************************************************************************************/

public class WordAndFrequency 
{
    /**
       Champ de stockage du mot.                              
    */
    protected String word = "";

    /**
       Champ de stockage de la frquence du  mot.                              
    */
    protected int frequency = 0;
    
    /**
       Dfini un mot associ  sa frquence.
       
       @param word le texte du mot.
       
       @param frequency la frquence associe au mot
                         
    */
    public WordAndFrequency(String word, int frequency)
    {
	this.word = word;
	this.frequency = frequency;
    }

    /**
       Retourne le mot associ  la frquence.
       
       @returns le mot.
                         
    */
    public String getWord()
    {
	return word;
    }

    /**
       Retourne la frquence associe au mot.
       
       @returns la frquence.
                         
    */
    public int getFrequency()
    {
	return frequency;
    }

    /**
       Retourne la reprsentation du mot associ  sa frquence sous forme d'une chaine de caractres.
       
       @returns la reprsentation du mot associ  sa frquence.
                         
    */
    public String toString()
    {
	return new String(word + " " + frequency);
    }
}
